Upgrade helm release
curl --request PUT \
--url https://{host}/api/clusters/{name}/helm-releases/{release} \
--header 'Content-Type: application/json' \
--cookie k8s-gate-session= \
--data '
{
"atomic": true,
"chartName": "<string>",
"chartVersion": "<string>",
"clusterNamespace": "<string>",
"releaseNamespace": "<string>",
"repoUrl": "<string>",
"supervisor": "<string>",
"values": "<string>"
}
'import requests
url = "https://{host}/api/clusters/{name}/helm-releases/{release}"
payload = {
"atomic": True,
"chartName": "<string>",
"chartVersion": "<string>",
"clusterNamespace": "<string>",
"releaseNamespace": "<string>",
"repoUrl": "<string>",
"supervisor": "<string>",
"values": "<string>"
}
headers = {
"cookie": "k8s-gate-session=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {cookie: 'k8s-gate-session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
atomic: true,
chartName: '<string>',
chartVersion: '<string>',
clusterNamespace: '<string>',
releaseNamespace: '<string>',
repoUrl: '<string>',
supervisor: '<string>',
values: '<string>'
})
};
fetch('https://{host}/api/clusters/{name}/helm-releases/{release}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/clusters/{name}/helm-releases/{release}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'atomic' => true,
'chartName' => '<string>',
'chartVersion' => '<string>',
'clusterNamespace' => '<string>',
'releaseNamespace' => '<string>',
'repoUrl' => '<string>',
'supervisor' => '<string>',
'values' => '<string>'
]),
CURLOPT_COOKIE => "k8s-gate-session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/clusters/{name}/helm-releases/{release}"
payload := strings.NewReader("{\n \"atomic\": true,\n \"chartName\": \"<string>\",\n \"chartVersion\": \"<string>\",\n \"clusterNamespace\": \"<string>\",\n \"releaseNamespace\": \"<string>\",\n \"repoUrl\": \"<string>\",\n \"supervisor\": \"<string>\",\n \"values\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("cookie", "k8s-gate-session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://{host}/api/clusters/{name}/helm-releases/{release}")
.header("cookie", "k8s-gate-session=")
.header("Content-Type", "application/json")
.body("{\n \"atomic\": true,\n \"chartName\": \"<string>\",\n \"chartVersion\": \"<string>\",\n \"clusterNamespace\": \"<string>\",\n \"releaseNamespace\": \"<string>\",\n \"repoUrl\": \"<string>\",\n \"supervisor\": \"<string>\",\n \"values\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/clusters/{name}/helm-releases/{release}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["cookie"] = 'k8s-gate-session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"atomic\": true,\n \"chartName\": \"<string>\",\n \"chartVersion\": \"<string>\",\n \"clusterNamespace\": \"<string>\",\n \"releaseNamespace\": \"<string>\",\n \"repoUrl\": \"<string>\",\n \"supervisor\": \"<string>\",\n \"values\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"clusterName": "<string>",
"id": "<string>",
"namespace": "<string>",
"releaseName": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"status": "<string>",
"clusterNamespace": "<string>",
"error": "<string>",
"finishedAt": "2023-11-07T05:31:56Z",
"message": "<string>",
"result": {
"appVersion": "<string>",
"chart": "<string>",
"chartVersion": "<string>",
"name": "<string>",
"namespace": "<string>",
"revision": 123,
"status": "<string>",
"updated": "<string>",
"addon": true,
"platform": true,
"source": "<string>"
},
"supervisor": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}capi
Upgrade helm release
Helm releases (direct install on clusters)
Authorisation: helm-release:Upgrade on krn:celum:supervisor:{?supervisor}:cluster:{name}:helm-release:{release}, or on krn:celum:supervisor:{?supervisor}:project:{?project}:cluster:{name}:helm-release:{release} — the project-qualified form, which is how a policy scopes a tenant to one project. Either resource matching is enough.
PUT
/
api
/
clusters
/
{name}
/
helm-releases
/
{release}
Upgrade helm release
curl --request PUT \
--url https://{host}/api/clusters/{name}/helm-releases/{release} \
--header 'Content-Type: application/json' \
--cookie k8s-gate-session= \
--data '
{
"atomic": true,
"chartName": "<string>",
"chartVersion": "<string>",
"clusterNamespace": "<string>",
"releaseNamespace": "<string>",
"repoUrl": "<string>",
"supervisor": "<string>",
"values": "<string>"
}
'import requests
url = "https://{host}/api/clusters/{name}/helm-releases/{release}"
payload = {
"atomic": True,
"chartName": "<string>",
"chartVersion": "<string>",
"clusterNamespace": "<string>",
"releaseNamespace": "<string>",
"repoUrl": "<string>",
"supervisor": "<string>",
"values": "<string>"
}
headers = {
"cookie": "k8s-gate-session=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {cookie: 'k8s-gate-session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
atomic: true,
chartName: '<string>',
chartVersion: '<string>',
clusterNamespace: '<string>',
releaseNamespace: '<string>',
repoUrl: '<string>',
supervisor: '<string>',
values: '<string>'
})
};
fetch('https://{host}/api/clusters/{name}/helm-releases/{release}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/clusters/{name}/helm-releases/{release}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'atomic' => true,
'chartName' => '<string>',
'chartVersion' => '<string>',
'clusterNamespace' => '<string>',
'releaseNamespace' => '<string>',
'repoUrl' => '<string>',
'supervisor' => '<string>',
'values' => '<string>'
]),
CURLOPT_COOKIE => "k8s-gate-session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/clusters/{name}/helm-releases/{release}"
payload := strings.NewReader("{\n \"atomic\": true,\n \"chartName\": \"<string>\",\n \"chartVersion\": \"<string>\",\n \"clusterNamespace\": \"<string>\",\n \"releaseNamespace\": \"<string>\",\n \"repoUrl\": \"<string>\",\n \"supervisor\": \"<string>\",\n \"values\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("cookie", "k8s-gate-session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://{host}/api/clusters/{name}/helm-releases/{release}")
.header("cookie", "k8s-gate-session=")
.header("Content-Type", "application/json")
.body("{\n \"atomic\": true,\n \"chartName\": \"<string>\",\n \"chartVersion\": \"<string>\",\n \"clusterNamespace\": \"<string>\",\n \"releaseNamespace\": \"<string>\",\n \"repoUrl\": \"<string>\",\n \"supervisor\": \"<string>\",\n \"values\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/clusters/{name}/helm-releases/{release}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["cookie"] = 'k8s-gate-session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"atomic\": true,\n \"chartName\": \"<string>\",\n \"chartVersion\": \"<string>\",\n \"clusterNamespace\": \"<string>\",\n \"releaseNamespace\": \"<string>\",\n \"repoUrl\": \"<string>\",\n \"supervisor\": \"<string>\",\n \"values\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"clusterName": "<string>",
"id": "<string>",
"namespace": "<string>",
"releaseName": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"status": "<string>",
"clusterNamespace": "<string>",
"error": "<string>",
"finishedAt": "2023-11-07T05:31:56Z",
"message": "<string>",
"result": {
"appVersion": "<string>",
"chart": "<string>",
"chartVersion": "<string>",
"name": "<string>",
"namespace": "<string>",
"revision": 123,
"status": "<string>",
"updated": "<string>",
"addon": true,
"platform": true,
"source": "<string>"
},
"supervisor": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
sessionCookiebearerToken
The session cookie issued by the OIDC sign-in flow. This is what a browser uses.
Path Parameters
The supervisor's name, as registered under Administration → Supervisors.
Body
application/json
Response
object | null
Accepted.